Bug 499067 - Review Request: perl-Crypt-Eksblowfish - Eksblowfish block cipher
Review Request: perl-Crypt-Eksblowfish - Eksblowfish block cipher
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Chris Weyl
Fedora Extras Quality Assurance
http://search.cpan.org/dist/Crypt-Eks...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-04 23:45 EDT by Iain Arnell
Modified: 2014-12-18 07:48 EST (History)
3 users (show)

See Also:
Fixed In Version: 0.007-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-19 20:54:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cweyl: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2009-05-04 23:45:42 EDT
Spec URL: http://fedorapeople.org/~iarnell/review/perl-Crypt-Eksblowfish.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-Crypt-Eksblowfish-0.007-1.fc12.src.rpm

Description:
An object of this type encapsulates a keyed instance of the Eksblowfish
block cipher, ready to encrypt and decrypt.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1336219

*rt-0.09
Comment 1 Chris Weyl 2009-05-05 00:55:34 EDT
Looks good.

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=1336219

Spec looks sane, clean and consistent; license is correct (GPL+ or Artistic);
make test passes cleanly.

Source tarballs match upstream (sha1sum):
d91b9fac79a33eb11b19df7147f8daaef2297e67 Crypt-Eksblowfish-0.007.tar.gz
d91b9fac79a33eb11b19df7147f8daaef2297e67 Crypt-Eksblowfish-0.007.tar.gz.srpm

Final provides / requires are sane:

0 packages and 1 specfiles checked; 0 errors, 0 warnings.
=====> perl-Crypt-Eksblowfish-0.007-1.fc12.ppc.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-Crypt-Eksblowfish-0.007-1.fc12.ppc.rpm
perl(Crypt::Eksblowfish) = 0.007
perl-Crypt-Eksblowfish = 0.007-1.fc12
perl(Crypt::Eksblowfish::Bcrypt) = 0.007
perl(Crypt::Eksblowfish::Blowfish) = 0.007
perl(Crypt::Eksblowfish::Family) = 0.007
perl-Crypt-Eksblowfish(ppc-32) = 0.007-1.fc12
perl(Crypt::Eksblowfish::Subkeyed) = 0.007
perl(Crypt::Eksblowfish::Uklblowfish) = 0.007
====> requires for perl-Crypt-Eksblowfish-0.007-1.fc12.ppc.rpm
libc.so.6  
libc.so.6(GLIBC_2.0)  
libc.so.6(GLIBC_2.1.3)  
libc.so.6(GLIBC_2.4)  
perl(Carp)  
perl(Class::Mix) >= 0.001
perl(Crypt::Eksblowfish) >= 0.005
perl(MIME::Base64) >= 2.21
perl(:MODULE_COMPAT_5.10.0)  
perl(parent)  
perl(strict)  
perl(warnings)  
perl(XSLoader)  
rtld(GNU_HASH)  

=====> perl-Crypt-Eksblowfish-0.007-1.fc12.src.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-Crypt-Eksblowfish-0.007-1.fc12.src.rpm
====> requires for perl-Crypt-Eksblowfish-0.007-1.fc12.src.rpm
perl(Class::Mix) >= 0.001
perl(ExtUtils::CBuilder) >= 0.15
perl(Module::Build)  
perl(parent)  
perl(Test::More)  
perl(Test::Pod)  
perl(Test::Pod::Coverage)  

=====> perl-Crypt-Eksblowfish-debuginfo-0.007-1.fc12.ppc.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-Crypt-Eksblowfish-debuginfo-0.007-1.fc12.ppc.rpm
perl-Crypt-Eksblowfish-debuginfo = 0.007-1.fc12
perl-Crypt-Eksblowfish-debuginfo(ppc-32) = 0.007-1.fc12
====> requires for perl-Crypt-Eksblowfish-debuginfo-0.007-1.fc12.ppc.rpm

APPROVED
Comment 2 Iain Arnell 2009-05-05 01:23:21 EDT
New Package CVS Request
=======================
Package Name: perl-Crypt-Eksblowfish
Short Description: Eksblowfish block cipher
Owners: iarnell
Branches: F-10 F-11
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-05-06 17:09:51 EDT
cvs done.
Comment 4 Iain Arnell 2009-05-06 23:37:27 EDT
built in rawhide - wait for perl-Class-Mix to go stable in F-10 & F-11.
Comment 5 Fedora Update System 2009-05-11 23:24:21 EDT
perl-Crypt-Eksblowfish-0.007-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-Crypt-Eksblowfish-0.007-1.fc11
Comment 6 Fedora Update System 2009-05-11 23:24:26 EDT
perl-Crypt-Eksblowfish-0.007-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-Crypt-Eksblowfish-0.007-1.fc10
Comment 7 Fedora Update System 2009-05-12 20:28:19 EDT
perl-Crypt-Eksblowfish-0.007-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Crypt-Eksblowfish'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-4907
Comment 8 Fedora Update System 2009-05-12 20:29:33 EDT
perl-Crypt-Eksblowfish-0.007-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Crypt-Eksblowfish'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-4917
Comment 9 Fedora Update System 2009-05-19 20:54:15 EDT
perl-Crypt-Eksblowfish-0.007-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2009-05-19 20:54:41 EDT
perl-Crypt-Eksblowfish-0.007-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Iain Arnell 2012-09-07 08:55:08 EDT
Package Change Request
======================
Package Name: perl-Crypt-Eksblowfish
New Branches: el6
Owners: iarnell
InitialCC: perl-sig
Comment 12 Gwyn Ciesla 2012-09-07 09:05:20 EDT
Git done (by process-git-requests).
Comment 13 Petr Šabata 2014-12-18 06:58:16 EST
Package Change Request
======================
Package Name: perl-Crypt-Eksblowfish
New Branches: epel7
Owners: psabata
InitialCC: perl-sig
Comment 14 Gwyn Ciesla 2014-12-18 07:30:14 EST
Git done (by process-git-requests).
Comment 15 Petr Šabata 2014-12-18 07:48:56 EST
Thanks.

Note You need to log in before you can comment on or make changes to this bug.